#
# spec file for package s2tc
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           s2tc
Version:        1.0
Release:        12.4
Summary:        Super Simple Texture Compression
License:        MIT
Group:          System/X11/Utilities
Url:            https://github.com/divVerent/s2tc/wiki
Source0:        https://github.com/divVerent/%{name}/archive/v%{version}.tar.gz
Source1:        baselibs.conf
Patch0:         s2tc-no-soversion.patch
BuildRequires:  Mesa-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  xz
Conflicts:      libtxc_dxtn
Recommends:     s2tc-32bit
Supplements:    Mesa-libGL1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Library that decompress s2tc compressed textures.
Contrary s3tc this algorithm is not patented and even faster.
It can be used to decompress s3tc textures with few artefacts,
because the patented codepaths are not implemented.

%package devel
Summary:        Super Simple Texture Compression devel libs
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
Development libraries for s2tc texture compression algorithm

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fvi
%configure \
	--disable-static \
	--disable-runtime-linking
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install -j1
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README.txt
%{_bindir}/*
# We are having only .so file so we need that here without version
%{_libdir}/*.so

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Dec 23 2014 tchvatal@suse.com
- We conflict with libtxc_dxtn so make sure to mention it
* Sun Dec 14 2014 tchvatal@suse.com
- Fix baselibs and try to recommend our own 32b version as you
  usually play 32bit games where you want texture compression
  anyway
* Mon Nov 17 2014 tchvatal@suse.com
- Supplement Mesa-libGL1 as it is usefull to be actually installed.
* Mon Aug 11 2014 tchvatal@suse.com
- Remove %%libname as now we have just unversioned .so thus putting
  it directly to s2tc
* Mon Aug 11 2014 tchvatal@suse.com
- Update the patch to just disable versioning in libtool.
* Mon Aug 11 2014 tchvatal@suse.com
- Use only .so file. Thanks to Johannes Obermayr for the patch
  bnc#890953:
  * s2tc-no-soversion.patch
* Tue Jul 29 2014 tchvatal@suse.com
- Version bump to official 1.0 release:
  * Various small tweaks in build approach
  * Fix for few small rendering glitches
* Fri Apr 25 2014 fcrozat@suse.com
- Create baselibs.conf, 32bit package is needed for some Steam
  games.
* Sat Feb  2 2013 tchvatal@suse.com
- Require xz for unpacking.
* Sat Feb  2 2013 tchvatal@suse.com
- Initial commit, tarball taken from git repository.
